--- title: "Bridge API" slug: "bridge-api" updated: 2026-07-24T23:09:53Z published: 2026-07-24T23:09:53Z canonical: "docs.swxtch.io/bridge-api" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.swxtch.io/llms.txt > Use this file to discover all available pages before exploring further. # Bridge API The swXtchBridge API base URL is **http://{swXtchBridge-ctrl-ip}:{port}** ## Adaptors > [!TIP] > adaptors/add > > ![](https://cdn.document360.io/84c5db44-f675-4f33-a980-5d3fc63073ca/Images/Documentation/image(92).png?sv=2026-02-06&spr=https&st=2026-10-14T13%3A07%3A15Z&se=2026-10-14T14%3A07%3A15Z&sr=c&sp=r&sig=ejDyInS%2Bxqizh6tt8ynB6Bso9Z3P2mosXr77p4vNsnc%3D) > > - Adds new unicast adaptor configuration. > > **Endpoint:** > > ```plaintext > /swx/adaptors/add > ``` > > **Request:** > > `json` > > ```json > { >  "directionCode": "string", >  "id": "string", >  "options": [ >    { >      "name": "string", >      "value": "string" >    }, >    { >      "name": "string", >      "value": "string" >    } >  ], >  "protocolCode": "string", >  "socketIp": "string", >  "socketPort": 1307, >  "streamIp": "string", >  "streamPort": 3047 > } > ``` > > **Response:** > > `json` / { "id": "adaptor-uuid-123" } > > **Error Responses**: > > - `400` - Fanout not enabled or validation failed > - `409` - Adaptor already exists > > ****Example Response: Add an UDP ingress adaptor →**** > > ```shell > $ curl 172.51.128.132/swx/adaptors/add -d '{ >  "protocolCode": "udp", >  "directionCode": "ingress", >  "streamIp": "239.1.1.1", >  "streamPort": 5000, >  "socketIp": "10.0.1.100", >  "socketPort": 5001, >  "listenerPort": 6000, >  "options": [ >    { >      "name": "bufferSize", >      "value": "65536" >    }, >    { >      "name": "ttl", >      "value": "64" >    } >  ] > }' > {"id":"12415546857077395231"} > ``` --- > [!TIP] > adaptors/**remove** > > ![](https://cdn.document360.io/84c5db44-f675-4f33-a980-5d3fc63073ca/Images/Documentation/image(92).png?sv=2026-02-06&spr=https&st=2026-10-14T13%3A07%3A15Z&se=2026-10-14T14%3A07%3A15Z&sr=c&sp=r&sig=ejDyInS%2Bxqizh6tt8ynB6Bso9Z3P2mosXr77p4vNsnc%3D) > > - Removes one or more adaptor configurations. > > **Endpoint:** > > ```plaintext > /swx/adaptors/remove > ``` > > **Request:** > > `json` / { "ids": ["`adaptor-uuid-123`", "`adaptor-uuid-456`"] } > > **Response:** > > - `200` - Success (no body) > - `json` / {"errorCode":12005,"errorMessage":"The given adaptors don't exist.","data":"`adaptor-uuid-123`"} > > ****Example Response: Delete a given adaptor →**** > > ```shell > $ curl 172.51.128.132/swx/adaptors/remove -d '{ "ids": [ "12415546857077395231" ] }' > $ > ``` --- > [!TIP] > adaptors/**show** > > ![](https://cdn.document360.io/84c5db44-f675-4f33-a980-5d3fc63073ca/Images/Documentation/image(92).png?sv=2026-02-06&spr=https&st=2026-10-14T13%3A07%3A15Z&se=2026-10-14T14%3A07%3A15Z&sr=c&sp=r&sig=ejDyInS%2Bxqizh6tt8ynB6Bso9Z3P2mosXr77p4vNsnc%3D) > > - Returns the current adaptors configuration. > > **Endpoint:** > > ```plaintext > /swx/adaptors/show > ``` > > **Request:** > > Empty > > **Response:** > > `json` > > ****Example Response: Get current adaptors configurations →**** > > ```shell > $ curl 172.51.128.132/swx/adaptors/show > {"adaptors":{"3875045238777959178":{"id":"3875045238777959178","protocolCode":"udp","directionCode":"ingress","streamIp":"239.1.1.1","streamPort":5000,"socketIp":"10.0.1.100","socketPort":5001,"listenerPort":6000,"options":[{"name":"bufferSize","value":"65536"},{"name":"ttl","value":"64"}]},"9444164746505921829":{"id":"9444164746505921829","protocolCode":"udp","directionCode":"ingress","streamIp":"239.1.1.1","streamPort":10020,"socketIp":null,"socketPort":null,"listenerPort":10021,"options":[]}}} > ``` --- > [!TIP] > adaptors/state > > ![](https://cdn.document360.io/84c5db44-f675-4f33-a980-5d3fc63073ca/Images/Documentation/image(92).png?sv=2026-02-06&spr=https&st=2026-10-14T13%3A07%3A15Z&se=2026-10-14T14%3A07%3A15Z&sr=c&sp=r&sig=ejDyInS%2Bxqizh6tt8ynB6Bso9Z3P2mosXr77p4vNsnc%3D) > > - Returns the runtime statistics for all adaptors. > > **Endpoint:** > > ```plaintext > /swx/adaptors/state > ``` > > **Request:** > > Empty > > **Response:** > > `json` > > ****Example Response: Get current adaptors statistics →**** > > ```shell > $ curl 172.51.128.132/swx/adaptors/state > {"3875045238777959178":{"id":"3875045238777959178","isConnected":false,"isActive":false,"stats":{},"config":{"id":"3875045238777959178","protocolCode":"udp","directionCode":"ingress","streamIp":"239.1.1.1","streamPort":5000,"socketIp":"10.0.1.100","socketPort":5001,"listenerPort":6000,"options":[{"name":"bufferSize","value":"65536"},{"name":"ttl","value":"64"}]}},"9444164746505921829":{"id":"9444164746505921829","isConnected":false,"isActive":false,"stats":{},"config":{"id":"9444164746505921829","protocolCode":"udp","directionCode":"ingress","streamIp":"239.1.1.1","streamPort":10020,"socketIp":null,"socketPort":null,"listenerPort":10021,"options":[]}}} > ``` --- > [!TIP] > adaptors/**update** > > ![](https://cdn.document360.io/84c5db44-f675-4f33-a980-5d3fc63073ca/Images/Documentation/image(92).png?sv=2026-02-06&spr=https&st=2026-10-14T13%3A07%3A15Z&se=2026-10-14T14%3A07%3A15Z&sr=c&sp=r&sig=ejDyInS%2Bxqizh6tt8ynB6Bso9Z3P2mosXr77p4vNsnc%3D) > > - Updates existing adaptor configuration. > > > [!WARNING] > > NOTE > > > > Only SRT adaptros that are currently in use can be updated. Also, only the POST type. > > **Endpoint:** > > ```plaintext > /swx/adaptors/update > ``` > > **Request:** > > `json` > > ```json > { >  "id": "string", >  "options": [ >    { >      "name": "string", >      "value": "string" >    }, >    { >      "name": "string", >      "value": "string" >    } >  ] > } > ``` > > **Response:** > > - `200` - Success (no body) > - `json` / {"errorCode":12005,"errorMessage":"The given adaptors don't exist.","data":null} > > ****Example Response: Update a given adaptor configuration →**** > > ```shell > $ curl 172.51.128.132/swx/adaptors/update -d '{ >  "id": "3875045238777959178", >  "options": [ >    { >      "name": "bufferSize", >      "value": "131072" >    }, >    { >      "name": "ttl", >      "value": "32" >    } >  ] > }' > ``` --- ## Monitoring > [!TIP] > monitoring/state > > ![](https://cdn.document360.io/84c5db44-f675-4f33-a980-5d3fc63073ca/Images/Documentation/image(92).png?sv=2026-02-06&spr=https&st=2026-10-14T13%3A07%3A15Z&se=2026-10-14T14%3A07%3A15Z&sr=c&sp=r&sig=ejDyInS%2Bxqizh6tt8ynB6Bso9Z3P2mosXr77p4vNsnc%3D) > > - Retrieve bridge state information. > > **Endpoint:** > > ```plaintext > /swx/monitoring/state > ``` > > **Request:** > > Empty > > **Response:** > > `json` > > ****Example Response: Get the configuration of a given swXtchBridge** →** > > ```shell > $ curl 172.51.128.132/swx/monitoring/state > { >    "bridgeConfig": { >        "ctrlInterfaceName": "ens5", >        "dataInterfaceName": "ens6", >        "userInterfaceName": "ens6", >        "dataPort": 9999, >        "nicsConfig": null, >        "maxGroundSubscriptions": 2000, >        "pollingIntervalMilliseconds": 1000, >        "subscriptionsPollingIntervalMilliseconds": 100, >        "overrideSrcIp": false, >        "maxTimeStatsNs": null, >        "cpu": -1, >        "protocolConfig": { >            "cgroupName": "swx-protocol", >            "cpuSet": "", >            "cpuUsage": 80 >        }, >        "processes": { >            "swxCore": { >                "launch": true, >                "options": null, >                "args": { >                    "--verbosity": "1" >                } >            }, >            "swxTunnelIgmp": { >                "launch": true, >                "options": null, >                "args": { >                    "--verbosity": "1" >                } >            }, >            "swxTunnelSingleNic": { >                "launch": false, >                "options": null, >                "args": { >                    "--tunIP": "" >                } >            }, >            "swxTunnel": { >                "launch": true, >                "options": null, >                "args": { >                    "--verbosity": "2" >                } >            }, >            "swxProtocol": { >                "launch": true, >                "options": null, >                "args": { >                    "--cpu-set": "", >                    "--cpu-usage": "80", >                    "--verbosity": "1" >                } >            }, >            "swxBridgeData": { >                "launch": true, >                "options": null, >                "args": { >                    "--verbosity": "1" >                } >            } >        }, >        "installedConnection": { >            "controlAddress": { >                "ip": "172.31.25.214", >                "port": 80 >            }, >            "dataAddress": null >        }, >        "nonSlpMtu": 1500, >        "dataGatewayIp": null >    } > } > ``` --- ## Subscriptions Subscriptions are multicast addresses that are required for on-prem to cloud IGMP joins and vice versa. Note that it is dynamic from on-prem to cloud; therefore, Forward Subscriptions are not necessary; however, Ground Subscriptions are necessary unless using PIM table integration. > [!TIP] > subscriptions/addForwardSubscription > > ![](https://cdn.document360.io/84c5db44-f675-4f33-a980-5d3fc63073ca/Images/Documentation/image(92).png?sv=2026-02-06&spr=https&st=2026-10-14T13%3A07%3A15Z&se=2026-10-14T14%3A07%3A15Z&sr=c&sp=r&sig=ejDyInS%2Bxqizh6tt8ynB6Bso9Z3P2mosXr77p4vNsnc%3D) > > - Adds a forward subscription to the bridge configuration. > > **Endpoint:** > > ```plaintext > /swx/subscriptions/addForwardSubscription > ``` > > **Request:** > > `json` > > ```json > { >  "groupAddress": "string", >  "swxtchAddress": { >      "ip": "string", >      "port": 0 >    } > } > ``` > > **Response:** > > - `200` - Success (no body) > - `json` / {"errorMessage":"Group: string already present for swxtch: string:0."} > > ****Example Response: Create a forward subscription →**** > > ```shell > $ curl 172.51.128.152/swx/subscriptions/addForwardSubscription -d '{ >  "groupAddress": "239.1.1.1", >  "swxtchAddress": { >      "ip": "172.51.128.132", >      "port": 10000 >    } > }' > ``` --- > [!TIP] > subscriptions/addGroundSubscription > > ![](https://cdn.document360.io/84c5db44-f675-4f33-a980-5d3fc63073ca/Images/Documentation/image(92).png?sv=2026-02-06&spr=https&st=2026-10-14T13%3A07%3A15Z&se=2026-10-14T14%3A07%3A15Z&sr=c&sp=r&sig=ejDyInS%2Bxqizh6tt8ynB6Bso9Z3P2mosXr77p4vNsnc%3D) > > - Adds a ground subscription to configuration > > **Endpoint:** > > ```plaintext > /swx/subscriptions/addGroundSubscription > ``` > > **Request:** > > `json` > > ```json > { >  "multicastGroups": [ >    "string" >  ] > } > ``` > > **Response:** > > - `200` - Success (no body) > > ****Example Response: Create a ground subscription →**** > > ```shell > $ curl 172.51.128.152/swx/subscriptions/addGroundSubscription -d '{ >  "multicastGroups": [ >    "239.1.1.1", >    "239.1.1.2" >  ] > }' > ``` --- > [!TIP] > subscriptions/removeForwardSubscription > > ![](https://cdn.document360.io/84c5db44-f675-4f33-a980-5d3fc63073ca/Images/Documentation/image(92).png?sv=2026-02-06&spr=https&st=2026-10-14T13%3A07%3A15Z&se=2026-10-14T14%3A07%3A15Z&sr=c&sp=r&sig=ejDyInS%2Bxqizh6tt8ynB6Bso9Z3P2mosXr77p4vNsnc%3D) > > - Removes a forward subscription configuration > > **Endpoint:** > > ```plaintext > /swx/subscriptions/removeForwardSubscription > ``` > > **Request:** > > `json` > > ```json > { >  "groupAddress": "string", >  "swxtchAddress": { >      "ip": "string", >      "port": 0 >    } > } > ``` > > **Response:** > > - `200` - Success (no body) > > ****Example Response: Remove a forward subscription →**** > > ```shell > $ curl 172.51.128.152/swx/subscriptions/removeForwardSubscription -d '{ >  "groupAddress": "239.1.1.1", >  "swxtchAddress": { >      "ip": "172.51.128.132", >      "port": 10000 >    } > }' > ``` --- > [!TIP] > subscriptions/removeGroundSubscription > > ![](https://cdn.document360.io/84c5db44-f675-4f33-a980-5d3fc63073ca/Images/Documentation/image(92).png?sv=2026-02-06&spr=https&st=2026-10-14T13%3A07%3A15Z&se=2026-10-14T14%3A07%3A15Z&sr=c&sp=r&sig=ejDyInS%2Bxqizh6tt8ynB6Bso9Z3P2mosXr77p4vNsnc%3D) > > - Removes ground subscriptions configuration > > **Endpoint:** > > ```plaintext > /swx/subscriptions/removeGroundSubscription > ``` > > **Request:** > > `json` List of multicast groups to be removed > > ```json > { >  "multicastGroups": [ >    "string", >    "string", > - >  ] > } > ``` > > **Response:** > > - `200` - Success (no body) > > ****Example Response: Remove a Ground subscription →**** > > ```shell > $ curl 172.51.128.152/swx/subscriptions/removeGroundSubscription -d '{ >  "multicastGroups": [ >    "239.1.1.1", >    "239.1.1.2" >  ] > }' > ``` --- > [!TIP] > subscriptions/showForwardSubscriptions > > ![](https://cdn.document360.io/84c5db44-f675-4f33-a980-5d3fc63073ca/Images/Documentation/image(92).png?sv=2026-02-06&spr=https&st=2026-10-14T13%3A07%3A15Z&se=2026-10-14T14%3A07%3A15Z&sr=c&sp=r&sig=ejDyInS%2Bxqizh6tt8ynB6Bso9Z3P2mosXr77p4vNsnc%3D) > > - Returns current forward subscriptions configuration. > > **Endpoint:** > > ```plaintext > /swx/subscriptions/showForwardSubscriptions > ``` > > **Request:** > > Empty > > **Response:** > > - `json` / {"string:0":["string","string"]} > > ****Example Response: Show forward subscription configurations →**** > > ```shell > $ curl 172.51.128.152/swx/subscriptions/showForwardSubscriptions > {"172.51.128.132:10000":["239.1.1.1","239.1.1.2"]} > ``` --- > [!TIP] > subscriptions/showGroundSubscriptions > > ![](https://cdn.document360.io/84c5db44-f675-4f33-a980-5d3fc63073ca/Images/Documentation/image(92).png?sv=2026-02-06&spr=https&st=2026-10-14T13%3A07%3A15Z&se=2026-10-14T14%3A07%3A15Z&sr=c&sp=r&sig=ejDyInS%2Bxqizh6tt8ynB6Bso9Z3P2mosXr77p4vNsnc%3D) > > - Returns current ground subscriptions configuration. > > **Endpoint:** > > ```plaintext > /swx/subscriptions/showGroundSubscriptions > ``` > > **Request:** > > `json` > > ```json > { >  "multicastGroups": [ >    "string" >  ] > } > ``` > > **Response:** > > - `200` - Success (no body) > - `json` / {"multicastGroups":["string","string"]} > > ****Example Response: Show ground subscription configurations →**** > > ```shell > $ curl 172.51.128.152/swx/subscriptions/showGroundSubscriptions > {"multicastGroups":["239.1.1.1:0","239.1.1.2:0"]} > ``` --- ## Connections > [!TIP] > connections/addConnectionCluster > > ![](https://cdn.document360.io/84c5db44-f675-4f33-a980-5d3fc63073ca/Images/Documentation/image(92).png?sv=2026-02-06&spr=https&st=2026-10-14T13%3A07%3A15Z&se=2026-10-14T14%3A07%3A15Z&sr=c&sp=r&sig=ejDyInS%2Bxqizh6tt8ynB6Bso9Z3P2mosXr77p4vNsnc%3D) > > - Add and deploy a swXtch connections cluster configuration > > **Endpoint:** > > ```plaintext > /swx/connections/addConnectionCluster > ``` > > **Request:** > > `json` > > ```json > { >  "connection": { >    "dataInterfaceName": "string", >    "ha": { >      "deduplication": { >        "bufferSizeInPackets": 0, >        "maxTimeToBufferPacketsMs": 0, >        "removeInactiveStreamTimeoutSec": 0 >      }, >      "enable": "string", >      "protocol": "string" >    }, >    "slp": { >      "enableRx": "string", >      "enableTx": "string", >      "params": { >        "ack_interval_ns": 0, >        "channel_bonding_start_port": 0, >        "channel_rebonding_start_port": 0, >        "connection_timeout_retries": 0, >        "disable_auto_update_nack_estimation": "string", >        "enable_auto_incoming": "string", >        "enable_reconnection": "string", >        "in_flight_pkt_count": 0, >        "incoming_retra_delay_ns": 0, >        "latency_factor": 0, >        "min_avg_window": 0, >        "min_time_first_retrans_req_ns": 0, >        "mtu": 0, >        "num_channel_bonding_ports": 0, >        "num_channel_rebonding_ports": 0, >        "pkt_delivery_retries": 0 >      } >    } >  }, >  "primarySwxtch": { >    "controlAddress": { >      "ip": "string", >      "port": 0 >    }, >    "dataAddress": { >      "ip": "string", >      "port": 0 >    } >  } > } > ``` > > **Response:** > > - `200` - Success (no body) > > ****Example Response →**** > > ```shell > $ curl 172.51.128.152/swx/connections/addConnectionCluster -d '{"componentId":"172.31.29.118","connectionData":{"primarySwxtch":{"controlAddress":{"ip":"172.31.18.246","port":80}},"connection":{"ha":{"enable":false,"protocol":"swxtch","deduplication":null},"slp":{"enableTx":true,"enableRx":true,"params":{"in_flight_pkt_count":null,"pkt_delivery_retries":null,"connection_timeout_retries":null,"mtu":null,"disable_auto_update_nack_estimation":null,"min_time_first_retrans_req_ns":null,"incoming_retra_delay_ns":null,"ack_interval_ns":null,"channel_bonding_start_port":null,"num_channel_bonding_ports":null,"channel_rebonding_start_port":null,"num_channel_rebonding_ports":null,"min_avg_window":null,"enable_auto_incoming":null,"latency_factor":2,"enable_reconnection":null}},"dataInterfaceName":"ens6"}}}' > $ > ``` --- > [!TIP] > connections/removeConnectionCluster > > ![](https://cdn.document360.io/84c5db44-f675-4f33-a980-5d3fc63073ca/Images/Documentation/image(92).png?sv=2026-02-06&spr=https&st=2026-10-14T13%3A07%3A15Z&se=2026-10-14T14%3A07%3A15Z&sr=c&sp=r&sig=ejDyInS%2Bxqizh6tt8ynB6Bso9Z3P2mosXr77p4vNsnc%3D) > > - Remove a swXtch connections cluster configuration > > **Endpoint:** > > ```plaintext > /swx/connections/removeConnectionCluster > ``` > > **Request:** > > `json` > > ```json > { >  "ip": "string", >  "port": 0 > } > ``` > > **Response:** > > - `200` - Success (no body) > > ****Example Response: Remove a connection cluster →**** > > ```shell > $ curl 172.51.128.152/swx/connections/removeConnectionCluster -d '{"componentId":"172.31.29.118","address":{"ip":"172.31.18.246","port":80}}' > $ > ``` --- > [!TIP] > connections/showConnectionClusters > > ![](https://cdn.document360.io/84c5db44-f675-4f33-a980-5d3fc63073ca/Images/Documentation/image(92).png?sv=2026-02-06&spr=https&st=2026-10-14T13%3A07%3A15Z&se=2026-10-14T14%3A07%3A15Z&sr=c&sp=r&sig=ejDyInS%2Bxqizh6tt8ynB6Bso9Z3P2mosXr77p4vNsnc%3D) > > - Retrieve current swXtch connections clusters configurations > > **Endpoint:** > > ```plaintext > /swx/connections/showConnectionClusters > ``` > > **Request:** > > `json` > > **Response:** > > - `200` - OK `json` > > ****Example Response: Show the connection for a single swXtchBridge without a single connection to the cloudSwXtch →**** > > ```shell > $ curl 172.51.25.214/swx/connections/showConnectionClusters > [ >  { >    "primarySwxtch": { >      "controlAddress": { >        "ip": "172.31.25.214", >        "port": 80 >      }, >      "dataAddress": null >    }, >    "connection": { >      "slp": { >        "enableTx": true, >        "enableRx": true, >        "params": { >          "in_flight_pkt_count": null, >          "pkt_delivery_retries": null, >          "connection_timeout_retries": null, >          "mtu": null, >          "disable_auto_update_nack_estimation": null, >          "min_time_first_retrans_req_ns": null, >          "incoming_retra_delay_ns": null, >          "ack_interval_ns": null, >          "channel_bonding_start_port": null, >          "num_channel_bonding_ports": null, >          "channel_rebonding_start_port": null, >          "num_channel_rebonding_ports": null, >          "min_avg_window": null, >          "enable_auto_incoming": null, >          "latency_factor": 2, >          "enable_reconnection": null >        } >      }, >      "ha": { >        "enable": false, >        "protocol": "swxtch", >        "deduplication": null >      }, >      "dataInterfaceName": "ens6" >    } >  } > ] > ``` --- > [!TIP] > connections/updateConnectionClusters > > ![](https://cdn.document360.io/84c5db44-f675-4f33-a980-5d3fc63073ca/Images/Documentation/image(92).png?sv=2026-02-06&spr=https&st=2026-10-14T13%3A07%3A15Z&se=2026-10-14T14%3A07%3A15Z&sr=c&sp=r&sig=ejDyInS%2Bxqizh6tt8ynB6Bso9Z3P2mosXr77p4vNsnc%3D) > > - Update a swXtch connection cluster configuration > > **Endpoint:** > > ```plaintext > /swx/connections/updateConnectionClusters > ``` > > **Request:** > > `json` > > ```json > { >  "connection": { >    "dataInterfaceName": "string", >    "ha": { >      "deduplication": { >        "bufferSizeInPackets": 0, >        "maxTimeToBufferPacketsMs": 0, >        "removeInactiveStreamTimeoutSec": 0 >      }, >      "enable": "string", >      "protocol": "string" >    }, >    "slp": { >      "enableRx": "string", >      "enableTx": "string", >      "params": { >        "ack_interval_ns": 0, >        "channel_bonding_start_port": 0, >        "channel_rebonding_start_port": 0, >        "connection_timeout_retries": 0, >        "disable_auto_update_nack_estimation": "string", >        "enable_auto_incoming": "string", >        "enable_reconnection": "string", >        "in_flight_pkt_count": 0, >        "incoming_retra_delay_ns": 0, >        "latency_factor": 0, >        "min_avg_window": 0, >        "min_time_first_retrans_req_ns": 0, >        "mtu": 0, >        "num_channel_bonding_ports": 0, >        "num_channel_rebonding_ports": 0, >        "pkt_delivery_retries": 0 >      } >    } >  }, >  "primarySwxtch": { >    "controlAddress": { >      "ip": "string", >      "port": 0 >    }, >    "dataAddress": { >      "ip": "string", >      "port": 0 >    } >  } > } > ``` > > **Response:** > > - `200` - Success (no body) > > ****Example Response: Update the connection to remove SLP for RX →**** > > ```shell > $ curl 172.51.128.152/swx/connections/updateConnectionClusters -d '{"componentId":"172.31.29.118","connectionData":{"primarySwxtch":{"controlAddress":{"ip":"172.31.18.246","port":80}},"connection":{"ha":{"enable":false,"protocol":"swxtch","deduplication":null},"slp":{"enableTx":true,"enableRx":false,"params":{"in_flight_pkt_count":null,"pkt_delivery_retries":null,"connection_timeout_retries":null,"mtu":null,"disable_auto_update_nack_estimation":null,"min_time_first_retrans_req_ns":null,"incoming_retra_delay_ns":null,"ack_interval_ns":null,"channel_bonding_start_port":null,"num_channel_bonding_ports":null,"channel_rebonding_start_port":null,"num_channel_rebonding_ports":null,"min_avg_window":null,"enable_auto_incoming":null,"latency_factor":2,"enable_reconnection":null}},"dataInterfaceName":"ens6"}}}' > $ > ``` --- > [!TIP] > connections/updateConnectionConfig > > ![](https://cdn.document360.io/84c5db44-f675-4f33-a980-5d3fc63073ca/Images/Documentation/image(92).png?sv=2026-02-06&spr=https&st=2026-10-14T13%3A07%3A15Z&se=2026-10-14T14%3A07%3A15Z&sr=c&sp=r&sig=ejDyInS%2Bxqizh6tt8ynB6Bso9Z3P2mosXr77p4vNsnc%3D) > > - Update default connection configuration > > **Endpoint:** > > ```plaintext > /swx/connections/updateConnectionConfig > ``` > > **Request:** > > `json` > > ```json > { >  "dataInterfaceName": "string", >  "ha": { >    "deduplication": { >      "bufferSizeInPackets": 0, >      "maxTimeToBufferPacketsMs": 0, >      "removeInactiveStreamTimeoutSec": 0 >    }, >    "enable": "string", >    "protocol": "string" >  }, >  "slp": { >    "enableRx": "string", >    "enableTx": "string", >    "params": { >      "ack_interval_ns": 0, >      "channel_bonding_start_port": 0, >      "channel_rebonding_start_port": 0, >      "connection_timeout_retries": 0, >      "disable_auto_update_nack_estimation": "string", >      "enable_auto_incoming": "string", >      "enable_reconnection": "string", >      "in_flight_pkt_count": 0, >      "incoming_retra_delay_ns": 0, >      "latency_factor": 0, >      "min_avg_window": 0, >      "min_time_first_retrans_req_ns": 0, >      "mtu": 0, >      "num_channel_bonding_ports": 0, >      "num_channel_rebonding_ports": 0, >      "pkt_delivery_retries": 0 >    } >  } > } > ``` > > **Response:** > > - `200` - Success (no body) > > ****Example Response: Update connection config to remove SLP for RX →**** > > ```shell > $ curl 172.51.128.152/swx/connections/updateConnectionConfig -d '{"componentId":"172.31.29.118","connectionConfig":{"slp":{"enableTx":true,"enableRx":false,"params":{"in_flight_pkt_count":null,"pkt_delivery_retries":null,"connection_timeout_retries":null,"mtu":null,"disable_auto_update_nack_estimation":null,"min_time_first_retrans_req_ns":null,"incoming_retra_delay_ns":null,"ack_interval_ns":null,"channel_bonding_start_port":null,"num_channel_bonding_ports":null,"channel_rebonding_start_port":null,"num_channel_rebonding_ports":null,"min_avg_window":null,"enable_auto_incoming":null,"latency_factor":2,"enable_reconnection":null}},"ha":{"enable":false,"protocol":"swxtch","deduplication":null},"dataInterfaceName":"ens6"}}' > $ > ```